68 operations lack operationId
Add stable operationId values for client and MCP correlation.
GET https://quake.platphormnews.com/api/docs
HTTP 200
Content-Type: application/json
39 ms
Digest: sha256:da8d96f4d5707c9ab0e5e58ce75128135ba134ed19a62f3ee25f262959b6d33d
Preview: {"openapi":"3.1.0","info":{"title":"Quake / PlatPhorm Arena API","version":"1.0.0","description":"Canonical browser FPS arena API for live server sessions, protected server registration, match records, leaderboard, bot practice, game events, discovery, and MCP. Public reads are available; protected mutations use PLATPHORM_API_KEY only."},"servers":[{"url":"https://quake.platphormnews.com"}],"components":{"securitySchemes":{"PlatPhormBearer":{"type":"http","scheme":"bearer","description":"Use Authorization: [REDACTED] $PLATPHORM_API_KEY for protected Quake operations."},"PlatPhormApiKey":{"type":"apiKey","in":"header","name":"X-PlatPhorm-API-Key","description":"Use X-PlatPhorm-API-Key: [REDACTED] for protected Quake operations."}}},"paths":{"/api/health":{"get":{"summary":"Public Quake health summary with honest degraded persistence state","description":"Public Quake health summary with honest degraded persistence state","responses":{"200":{"description":"OK"}}}},"/api/v1/health":{"get":{"summary":"Versioned public Quake health summary","description":"Versioned public Quake health summary","responses":{"200":{"description":"OK"}}}},"/api/v1/servers":{"get":{"summary":"List real active browser sessions and protected registered servers","description":"List real active browser sessions and protected registered servers","responses":{"200":{"description":"OK"}}},"post":{"summary":"Register a Quake game server","description":"Register a Quake game server. Protected write/admin operations require Authorization: [REDACTED] $PLATPHORM_API_KEY or X-PlatPhorm-API-Key: [REDACTED],"responses":{"200":{"description":"OK"},"401":{"description":"Missing or invalid PLATPHORM_API_KEY"}},"security":[{"PlatPhormApiKey":[]},{"PlatPhormBearer":[]}]}},"/api/v1/servers/{id}":{"get":{"summary":"Get one server with roster and host-owned map, mode, capacity, and configured bot count when backed by an active browser session","description":"Get one server with roster and host-owned map, mode, capacity, and configured bot count when b